365 business development API
​string · required​string · required​businessdev.blebics.Contracts.Enums.EbicsSignatureVersion · enum​string​integer · int32​integer · int32​boolean​string | null​integer · int32 ​businessdev.WebApi.BaseModel.Enums.BaseResponse.Result · enum​integer · int64
​string · required​string · required ​businessdev.WebApi.BaseModel.Enums.BaseResponse.Result · enum​integer · int64
​string · required​string · required ​businessdev.WebApi.BaseModel.Enums.BaseResponse.Result · enum​integer · int64
​string · required​string · required ​businessdev.WebApi.BaseModel.Enums.BaseResponse.Result · enum​integer · int64
Initialization
Generates the participant's A, X and E keys locally as an asynchronous job.
POST
https://api.365businessapi.com
/api/banking/v1/ebics/initialization/keys
key (query)
query Parameters
idempotencyKeyThe idempotency key query value.
Headers
X-API-KEYThe x-api-key header value.
Generates the participant's A, X and E keys locally as an asynchronous job. › Request Body
signatureVersionEnum values:
A005
A006
keyPasswordsignatureKeyLengthprotocolKeyLengthuseCertificatescertificateCommonNamecertificateValidityYearsGenerates the participant's A, X and E keys locally as an asynchronous job. › Responses
200
OK
Wraps the durable admission result returned with HTTP 202.
Contains the durable admission data of one EBICS job.
statusEnum values:
None
Ok
Error
NotFound
BadRequest
UnauthorizedAccess
DebugSessionResult
TooManyRequests
processingTimeInMillisecondsSends the participant's signature key using INI.
POST
https://api.365businessapi.com
/api/banking/v1/ebics/initialization/ini
key (query)
query Parameters
idempotencyKeyThe idempotency key query value.
Headers
X-API-KEYThe x-api-key header value.
Sends the participant's signature key using INI. › Responses
200
OK
Wraps the durable admission result returned with HTTP 202.
Contains the durable admission data of one EBICS job.
statusEnum values:
None
Ok
Error
NotFound
BadRequest
UnauthorizedAccess
DebugSessionResult
TooManyRequests
processingTimeInMillisecondsSends the participant's authentication and encryption keys using HIA.
POST
https://api.365businessapi.com
/api/banking/v1/ebics/initialization/hia
key (query)
query Parameters
idempotencyKeyThe idempotency key query value.
Headers
X-API-KEYThe x-api-key header value.
Sends the participant's authentication and encryption keys using HIA. › Responses
200
OK
Wraps the durable admission result returned with HTTP 202.
Contains the durable admission data of one EBICS job.
statusEnum values:
None
Ok
Error
NotFound
BadRequest
UnauthorizedAccess
DebugSessionResult
TooManyRequests
processingTimeInMillisecondsDownloads bank keys with HPB and verifies their E002 and X002 hashes.
POST
https://api.365businessapi.com
/api/banking/v1/ebics/initialization/bank-keys
key (query)
query Parameters
idempotencyKeyThe idempotency key query value.
Headers
X-API-KEYThe x-api-key header value.
Downloads bank keys with HPB and verifies their E002 and X002 hashes. › Responses
200
OK
Wraps the durable admission result returned with HTTP 202.
Contains the durable admission data of one EBICS job.
statusEnum values:
None
Ok
Error
NotFound
BadRequest
UnauthorizedAccess
DebugSessionResult
TooManyRequests
processingTimeInMilliseconds